Index: src/org/jboss/tools/deltacloud/ui/views/DeltaCloudInstanceColumns.java
===================================================================
--- src/org/jboss/tools/deltacloud/ui/views/DeltaCloudInstanceColumns.java	(revision 29180)
+++ src/org/jboss/tools/deltacloud/ui/views/DeltaCloudInstanceColumns.java	(working copy)
@@ -25,28 +25,63 @@
 	@SuppressWarnings("unchecked")
 	public DeltaCloudInstanceColumns() {
 		super(
-				new Column<DeltaCloudInstance>("NAME", 20) {
+				new Column<DeltaCloudInstance>("DeltaCloudElementColumn.name.label", 20) {
 
 					@Override
 					public String getColumnText(DeltaCloudInstance image) {
 						return image.getName();
 					}
 				},
-				new Column<DeltaCloudInstance>("ALIAS", 20) {
+				new Column<DeltaCloudInstance>("DeltaCloudElementColumn.alias.label", 20) {
 
 					@Override
 					public String getColumnText(DeltaCloudInstance image) {
 						return image.getAlias();
 					}
 				},
-				new Column<DeltaCloudInstance>("ID", 20) {
+				new Column<DeltaCloudInstance>("DeltaCloudElementColumn.id.label", 20) {
 
 					@Override
 					public String getColumnText(DeltaCloudInstance image) {
 						return image.getId();
 					}
 				},
-				new Column<DeltaCloudInstance>("STATUS", 20) {
+				new Column<DeltaCloudInstance>("DeltaCloudElementColumn.imageId.label", 20) {
+
+					@Override
+					public String getColumnText(DeltaCloudInstance image) {
+						return image.getImageId();
+					}
+				},
+				new Column<DeltaCloudInstance>("DeltaCloudElementColumn.ownerId.label", 20) {
+
+					@Override
+					public String getColumnText(DeltaCloudInstance image) {
+						return image.getOwnerId();
+					}
+				},
+				new Column<DeltaCloudInstance>("DeltaCloudElementColumn.keyId.label", 20) {
+
+					@Override
+					public String getColumnText(DeltaCloudInstance image) {
+						return image.getKeyId();
+					}
+				},
+				new Column<DeltaCloudInstance>("DeltaCloudElementColumn.realm.label", 20) {
+
+					@Override
+					public String getColumnText(DeltaCloudInstance image) {
+						return image.getRealmId();
+					}
+				},
+				new Column<DeltaCloudInstance>("DeltaCloudElementColumn.profile.label", 20) {
+
+					@Override
+					public String getColumnText(DeltaCloudInstance image) {
+						return image.getProfileId();
+					}
+				},
+				new Column<DeltaCloudInstance>("DeltaCloudElementColumn.state.label", 20) {
 
 					@Override
 					public Image getColumnImage(DeltaCloudInstance instance) {
@@ -68,7 +103,8 @@
 						return image.getState().toString();
 					}
 				},
-				new Column<DeltaCloudInstance>("HOSTNAME", 40) {
+				
+				new Column<DeltaCloudInstance>("DeltaCloudElementColumn.hostname.label", 40) {
 					@Override
 					public String getColumnText(DeltaCloudInstance image) {
 						return image.getHostName();
Index: META-INF/MANIFEST.MF
===================================================================
--- META-INF/MANIFEST.MF	(revision 29180)
+++ META-INF/MANIFEST.MF	(working copy)
@@ -21,9 +21,12 @@
  org.eclipse.core.expressions;bundle-version="[3.4.200,4.0.0)",
  org.eclipse.equinox.security;bundle-version="[1.0.100,2.0.0)",
  org.eclipse.equinox.security.ui;bundle-version="1.0.200",
- org.eclipse.jsch.core;bundle-version="1.1.200"
+ org.eclipse.jsch.core;bundle-version="1.1.200",
+ org.eclipse.ui.navigator;bundle-version="3.5.0"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ActivationPolicy: lazy
 Export-Package: org.jboss.tools.deltacloud.ui,
+ org.jboss.tools.deltacloud.ui.preferences,
  org.jboss.tools.deltacloud.ui.wizard,
+ org.jboss.tools.internal.deltacloud.ui.preferences;x-friends:="org.jboss.tools.deltacloud.test",
  org.jboss.tools.internal.deltacloud.ui.utils
Index: src/org/jboss/tools/internal/deltacloud/ui/wizards/CloudConnectionPage.java
===================================================================
--- src/org/jboss/tools/internal/deltacloud/ui/wizards/CloudConnectionPage.java	(revision 29180)
+++ src/org/jboss/tools/internal/deltacloud/ui/wizards/CloudConnectionPage.java	(working copy)
@@ -56,17 +56,18 @@
 import org.eclipse.ui.PlatformUI;
 import org.jboss.tools.common.log.LogHelper;
 import org.jboss.tools.deltacloud.core.DeltaCloud;
+import org.jboss.tools.deltacloud.core.DeltaCloudDriver;
 import org.jboss.tools.deltacloud.core.DeltaCloudException;
 import org.jboss.tools.deltacloud.core.DeltaCloudManager;
-import org.jboss.tools.deltacloud.core.Driver;
-import org.jboss.tools.deltacloud.core.client.DeltaCloudClientImpl.DeltaCloudServerType;
 import org.jboss.tools.deltacloud.ui.Activator;
+import org.jboss.tools.deltacloud.ui.IDeltaCloudPreferenceConstants;
 import org.jboss.tools.deltacloud.ui.SWTImagesFactory;
+import org.jboss.tools.deltacloud.ui.preferences.StringPreferenceValue;
 import org.jboss.tools.internal.deltacloud.ui.common.databinding.validator.CompositeValidator;
 import org.jboss.tools.internal.deltacloud.ui.common.databinding.validator.MandatoryStringValidator;
 import org.jboss.tools.internal.deltacloud.ui.common.swt.JFaceUtils;
 import org.jboss.tools.internal.deltacloud.ui.preferences.IPreferenceKeys;
-import org.jboss.tools.internal.deltacloud.ui.preferences.StringPreferenceValue;
+import org.jboss.tools.internal.deltacloud.ui.utils.UIUtils;
 
 /**
  * @author Jeff Jonhston
@@ -126,12 +127,12 @@
 
 		private Label typeLabel;
 
-		public DeltaCloudTypeLabelAdapter(Driver cloudType, Label typeLabel) {
+		public DeltaCloudTypeLabelAdapter(DeltaCloudDriver cloudType, Label typeLabel) {
 			this.typeLabel = typeLabel;
 			init(cloudType);
 		}
 
-		private void init(Driver cloudType) {
+		private void init(DeltaCloudDriver cloudType) {
 			setLabelText(cloudType);
 		}
 
@@ -142,7 +143,7 @@
 		}
 
 		private void setLabelText(Object cloudType) {
-			if (cloudType != null && !Driver.UNKNOWN.equals(cloudType)) {
+			if (cloudType != null && !DeltaCloudDriver.UNKNOWN.equals(cloudType)) {
 				typeLabel.setText(cloudType.toString());
 			} else {
 				typeLabel.setText("?"); // $NON-NLS-1$
@@ -302,7 +303,8 @@
 	}
 
 	public CloudConnectionPage(String pageName, String defaultName, String defaultUrl, String defaultUsername,
-			String defaultPassword, Driver defaultDriver, CloudConnection cloudConnection) throws MalformedURLException {
+			String defaultPassword, DeltaCloudDriver defaultDriver, CloudConnection cloudConnection)
+			throws MalformedURLException {
 		super(pageName);
 		this.connectionModel =
 				new CloudConnectionPageModel(defaultName, defaultUrl, defaultUsername, defaultPassword, defaultDriver);
@@ -330,6 +332,7 @@
 		Label nameLabel = new Label(container, SWT.NULL);
 		nameLabel.setText(WizardMessages.getString(NAME_LABEL));
 		Text nameText = new Text(container, SWT.BORDER | SWT.SINGLE);
+		UIUtils.createPreferencesProposalAdapter(nameText, IDeltaCloudPreferenceConstants.CLOUD_NAME_PROPOSAL_KEY);
 		bindName(dbc, nameText);
 
 		// url
@@ -337,7 +340,7 @@
 		urlLabel.setText(WizardMessages.getString(URL_LABEL));
 		Point p1 = urlLabel.computeSize(SWT.DEFAULT, SWT.DEFAULT);
 		Text urlText = new Text(container, SWT.BORDER | SWT.SINGLE);
-
+		UIUtils.createPreferencesProposalAdapter(urlText, IDeltaCloudPreferenceConstants.CLOUD_URL_PROPOSAL_KEY);
 		dbc.bindValue(
 				WidgetProperties.text(SWT.Modify).observe(urlText),
 				BeanProperties.value(
@@ -362,6 +365,7 @@
 		Label usernameLabel = new Label(container, SWT.NULL);
 		usernameLabel.setText(WizardMessages.getString(USERNAME_LABEL));
 		Text usernameText = new Text(container, SWT.BORDER | SWT.SINGLE);
+		UIUtils.createPreferencesProposalAdapter(usernameText, IDeltaCloudPreferenceConstants.CLOUD_USERNAME_PROPOSAL_KEY);
 		IObservableValue usernameObservable = WidgetProperties.text(SWT.Modify).observe(usernameText);
 		dbc.bindValue(
 				usernameObservable,
@@ -540,8 +544,9 @@
 		 */
 		IObservableValue cloudTypeObservable = urlToCloudTypeConverter.getCloudTypeObservable();
 		Object value = cloudTypeObservable.getValue();
-		Assert.isTrue(value == null || value instanceof Driver);
-		DeltaCloudTypeLabelAdapter cloudTypeAdapter = new DeltaCloudTypeLabelAdapter((Driver) value, typeLabel);
+		Assert.isTrue(value == null || value instanceof DeltaCloudDriver);
+		DeltaCloudTypeLabelAdapter cloudTypeAdapter = new DeltaCloudTypeLabelAdapter((DeltaCloudDriver) value,
+				typeLabel);
 		cloudTypeObservable.addValueChangeListener(cloudTypeAdapter);
 		ControlDecorationSupport.create(urlTypeBinding, SWT.LEFT | SWT.TOP);
 
@@ -570,7 +575,23 @@
 		ControlDecorationSupport.create(nameTextBinding, SWT.LEFT | SWT.TOP);
 	}
 
-	public CloudConnectionPageModel getModel() {
-		return connectionModel;
+	public String getUrl() {
+		return connectionModel.getUrl();
+	}
+
+	public String getConnectionName() {
+		return connectionModel.getName();
+	}
+
+	public String getUsername() {
+		return connectionModel.getUsername();
+	}
+
+	public String getPassword() {
+		return connectionModel.getPassword();
+	}
+
+	public DeltaCloudDriver getDriver() {
+		return connectionModel.getDriver();
 	}
 }
Index: src/org/jboss/tools/internal/deltacloud/ui/wizards/NewCloudConnectionWizard.java
===================================================================
--- src/org/jboss/tools/internal/deltacloud/ui/wizards/NewCloudConnectionWizard.java	(revision 29180)
+++ src/org/jboss/tools/internal/deltacloud/ui/wizards/NewCloudConnectionWizard.java	(working copy)
@@ -12,18 +12,24 @@
 
 import java.text.MessageFormat;
 
+import org.eclipse.core.runtime.IProgressMonitor;
+import org.eclipse.core.runtime.IStatus;
+import org.eclipse.core.runtime.Status;
+import org.eclipse.core.runtime.jobs.Job;
 import org.eclipse.jface.viewers.IStructuredSelection;
 import org.eclipse.jface.wizard.Wizard;
 import org.eclipse.ui.INewWizard;
 import org.eclipse.ui.IWorkbench;
+import org.jboss.tools.common.log.StatusFactory;
 import org.jboss.tools.deltacloud.core.DeltaCloud;
+import org.jboss.tools.deltacloud.core.DeltaCloudDriver;
 import org.jboss.tools.deltacloud.core.DeltaCloudException;
 import org.jboss.tools.deltacloud.core.DeltaCloudManager;
-import org.jboss.tools.deltacloud.core.Driver;
 import org.jboss.tools.deltacloud.ui.Activator;
 import org.jboss.tools.deltacloud.ui.ErrorUtils;
+import org.jboss.tools.deltacloud.ui.preferences.StringPreferenceValue;
 import org.jboss.tools.internal.deltacloud.ui.preferences.IPreferenceKeys;
-import org.jboss.tools.internal.deltacloud.ui.preferences.StringPreferenceValue;
+import org.jboss.tools.internal.deltacloud.ui.utils.WizardUtils;
 
 /**
  * @author Jeff Johnston
@@ -82,10 +88,10 @@
 	}
 
 	public boolean performTest() {
-		String name = mainPage.getModel().getName();
-		String url = mainPage.getModel().getUrl();
-		String username = mainPage.getModel().getUsername();
-		String password = mainPage.getModel().getPassword();
+		String name = mainPage.getConnectionName();
+		String url = mainPage.getUrl();
+		String username = mainPage.getUsername();
+		String password = mainPage.getPassword();
 		try {
 			DeltaCloud newCloud = new DeltaCloud(name, url, username, password);
 			return newCloud.testCredentials();
@@ -103,24 +109,42 @@
 
 	@Override
 	public boolean performFinish() {
-		String name = mainPage.getModel().getName();
-		String url = mainPage.getModel().getUrl();
+		final String name = mainPage.getConnectionName();
+		final String url = mainPage.getUrl();
 
 		new StringPreferenceValue(IPreferenceKeys.LAST_URL, Activator.PLUGIN_ID)
 				.store(url);
 
-		String username = mainPage.getModel().getUsername();
-		String password = mainPage.getModel().getPassword();
-		Driver driver = mainPage.getModel().getDriver();
+		final String username = mainPage.getUsername();
+		final String password = mainPage.getPassword();
+		final DeltaCloudDriver driver = mainPage.getDriver();
+
+		return createCloud(name, url, username, password, driver);
+	}
+
+	private boolean createCloud(final String name, final String url, final String username, final String password,
+			final DeltaCloudDriver driver)  {
+		Job job = new Job(MessageFormat.format("Create cloud \"{0}\"", name)) {
 
+			@Override
+			protected IStatus run(IProgressMonitor monitor) {
+				try {
+					DeltaCloud newCloud = new DeltaCloud(name, url, username, password, driver);
+					DeltaCloudManager.getDefault().addCloud(newCloud);
+					return Status.OK_STATUS;
+				} catch (Exception e) {
+					// TODO internationalize strings
+					return StatusFactory.getInstance(IStatus.ERROR, Activator.PLUGIN_ID,
+							MessageFormat.format("Could not create cloud {0}", name), e);
+				}
+			}
+
+		};
 		try {
-			DeltaCloud newCloud = new DeltaCloud(name, url, username, password, driver);
-			DeltaCloudManager.getDefault().addCloud(newCloud);
+			WizardUtils.runInWizard(job, getContainer());
+			return job.getResult() != null && job.getResult().getCode() != IStatus.ERROR;
 		} catch (Exception e) {
-			// TODO internationalize strings
-			ErrorUtils
-					.handleError("Error", MessageFormat.format("Could not create cloud {0}", name), e, getShell());
+			return false;
 		}
-		return true;
 	}
 }
Index: src/org/jboss/tools/deltacloud/ui/commands/DeleteCloudHandler.java
===================================================================
--- src/org/jboss/tools/deltacloud/ui/commands/DeleteCloudHandler.java	(revision 29180)
+++ src/org/jboss/tools/deltacloud/ui/commands/DeleteCloudHandler.java	(working copy)
@@ -38,7 +38,7 @@
 import org.jboss.tools.deltacloud.core.DeltaCloudManager;
 import org.jboss.tools.deltacloud.ui.ErrorUtils;
 import org.jboss.tools.deltacloud.ui.views.CVMessages;
-import org.jboss.tools.internal.deltacloud.ui.utils.UIUtils;
+import org.jboss.tools.internal.deltacloud.ui.utils.WorkbenchUtils;
 
 /**
  * @author Andre Dietisheim
@@ -138,7 +138,7 @@
 		DeltaCloud deltaCloud = null;
 		if (selectedElements.size() > 0) {
 			Object object = selectedElements.get(0);
-			deltaCloud = UIUtils.adapt(object, DeltaCloud.class);
+			deltaCloud = WorkbenchUtils.adapt(object, DeltaCloud.class);
 		}
 		return deltaCloud;
 	}
@@ -146,7 +146,7 @@
 	private Collection<DeltaCloud> getSelectedClouds(List<?> selectedElements) {
 		Set<DeltaCloud> selectedClouds = new HashSet<DeltaCloud>();
 		for (Object element : selectedElements) {
-			DeltaCloud deltaCloud = UIUtils.adapt(element, DeltaCloud.class);
+			DeltaCloud deltaCloud = WorkbenchUtils.adapt(element, DeltaCloud.class);
 			if (deltaCloud != null) {
 				selectedClouds.add(deltaCloud);
 			}
Index: src/org/jboss/tools/deltacloud/ui/commands/ManageKeysHandler.java
===================================================================
--- src/org/jboss/tools/deltacloud/ui/commands/ManageKeysHandler.java	(revision 0)
+++ src/org/jboss/tools/deltacloud/ui/commands/ManageKeysHandler.java	(revision 0)
@@ -0,0 +1,55 @@
+/*******************************************************************************
+ * Copyright (c) 2010 Red Hat, Inc.
+ * Distributed under license by Red Hat, Inc. All rights reserved.
+ * This program is made available under the terms of the
+ * Eclipse Public License v1.0 which accompanies this distribution,
+ * and is available at http://www.eclipse.org/legal/epl-v10.html
+ *
+ * Contributors:
+ *     Red Hat, Inc. - initial API and implementation
+ ******************************************************************************/
+package org.jboss.tools.deltacloud.ui.commands;
+
+import org.eclipse.core.commands.AbstractHandler;
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.core.commands.IHandler;
+import org.eclipse.core.runtime.Status;
+import org.eclipse.jface.viewers.ISelection;
+import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.swt.widgets.Display;
+import org.eclipse.swt.widgets.Shell;
+import org.eclipse.ui.handlers.HandlerUtil;
+import org.jboss.tools.deltacloud.core.DeltaCloud;
+import org.jboss.tools.internal.deltacloud.ui.utils.WizardUtils;
+import org.jboss.tools.internal.deltacloud.ui.utils.WorkbenchUtils;
+import org.jboss.tools.internal.deltacloud.ui.wizards.ManageKeysWizard;
+
+/**
+ * @author Andre Dietisheim
+ */
+public class ManageKeysHandler extends AbstractHandler implements IHandler {
+
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+		ISelection selection = HandlerUtil.getCurrentSelection(event);
+		if (selection instanceof IStructuredSelection) {
+			DeltaCloud cloud = WorkbenchUtils.getFirstAdaptedElement(selection, DeltaCloud.class);
+			createImagesFilter(cloud, HandlerUtil.getActiveShell(event));
+		}
+
+		return Status.OK_STATUS;
+	}
+
+	private void createImagesFilter(final DeltaCloud cloud, final Shell shell) {
+		if (cloud != null) {
+				Display.getDefault().asyncExec(new Runnable() {
+					@Override
+					public void run() {
+						WizardUtils.openWizardDialog(new ManageKeysWizard(cloud), shell);
+					}
+				});
+
+		}
+	}
+}
Index: src/org/jboss/tools/internal/deltacloud/ui/utils/LayoutUtils.java
===================================================================
--- src/org/jboss/tools/internal/deltacloud/ui/utils/LayoutUtils.java	(revision 0)
+++ src/org/jboss/tools/internal/deltacloud/ui/utils/LayoutUtils.java	(revision 0)
@@ -0,0 +1,55 @@
+/*******************************************************************************
+ * Copyright (c) 2010 Red Hat, Inc.
+ * Distributed under license by Red Hat, Inc. All rights reserved.
+ * This program is made available under the terms of the
+ * Eclipse Public License v1.0 which accompanies this distribution,
+ * and is available at http://www.eclipse.org/legal/epl-v10.html
+ *
+ * Contributors:
+ *     Red Hat, Inc. - initial API and implementation
+ ******************************************************************************/
+package org.jboss.tools.internal.deltacloud.ui.utils;
+
+import org.eclipse.swt.layout.FormAttachment;
+import org.eclipse.swt.layout.FormData;
+import org.eclipse.swt.widgets.Control;
+
+/**
+ * @author Rob Stryker
+ */
+public class LayoutUtils {
+
+	/**
+	 * This method has been stolen from AS-Tools' UIUtil class and is useful for
+	 * creating FormData objects
+	 */
+	public static FormData createFormData(
+			Object topStart, int topOffset,
+			Object bottomStart, int bottomOffset,
+			Object leftStart, int leftOffset,
+			Object rightStart, int rightOffset) {
+
+		FormData data = new FormData();
+
+		if (topStart != null) {
+			data.top = topStart instanceof Control ? new FormAttachment((Control) topStart, topOffset) :
+					new FormAttachment(((Integer) topStart).intValue(), topOffset);
+		}
+
+		if (bottomStart != null) {
+			data.bottom = bottomStart instanceof Control ? new FormAttachment((Control) bottomStart, bottomOffset) :
+					new FormAttachment(((Integer) bottomStart).intValue(), bottomOffset);
+		}
+
+		if (leftStart != null) {
+			data.left = leftStart instanceof Control ? new FormAttachment((Control) leftStart, leftOffset) :
+					new FormAttachment(((Integer) leftStart).intValue(), leftOffset);
+		}
+
+		if (rightStart != null) {
+			data.right = rightStart instanceof Control ? new FormAttachment((Control) rightStart, rightOffset) :
+					new FormAttachment(((Integer) rightStart).intValue(), rightOffset);
+		}
+		return data;
+	}
+}
Index: src/org/jboss/tools/internal/deltacloud/ui/wizards/Url2DriverConverter.java
===================================================================
--- src/org/jboss/tools/internal/deltacloud/ui/wizards/Url2DriverConverter.java	(revision 29180)
+++ src/org/jboss/tools/internal/deltacloud/ui/wizards/Url2DriverConverter.java	(working copy)
@@ -16,7 +16,7 @@
 import org.eclipse.core.databinding.observable.value.WritableValue;
 import org.jboss.tools.deltacloud.core.DeltaCloud;
 import org.jboss.tools.deltacloud.core.DeltaCloudException;
-import org.jboss.tools.deltacloud.core.Driver;
+import org.jboss.tools.deltacloud.core.DeltaCloudDriver;
 
 /**
  * A class that converts an url (string) to a DeltaCloudType (enum). The state
@@ -34,22 +34,22 @@
 	IObservableValue cloudTypeObservable = new WritableValue();
 
 	public Url2DriverConverter() {
-		super(String.class, Driver.class);
+		super(String.class, DeltaCloudDriver.class);
 	}
 
 	@Override
 	public Object convert(Object fromObject) {
 		String deltaCloudUrl = (String) fromObject;
-		Driver cloudType = getCloudType(deltaCloudUrl);
+		DeltaCloudDriver cloudType = getCloudType(deltaCloudUrl);
 		cloudTypeObservable.setValue(cloudType);
 		return cloudType;
 	}
 
-	private Driver getCloudType(String url) {
+	private DeltaCloudDriver getCloudType(String url) {
 		try {
 			return DeltaCloud.getServerDriver(url);
 		} catch (DeltaCloudException e) {
-			return Driver.UNKNOWN;
+			return DeltaCloudDriver.UNKNOWN;
 		}
 	}
 
